Bug 228263 - package require Pgtcl doesn't work
package require Pgtcl doesn't work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-12 05:03 EST by Oskar Stuffer
Modified: 2013-07-02 23:12 EDT (History)
5 users (show)

See Also:
Fixed In Version: 8.3.3-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-22 16:45:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oskar Stuffer 2007-02-12 05:03:37 EST
Description of problem:
A tcl script can't load the package Pgtcl

Version-Release number of selected component (if applicable):
postgresql-tcl 8.1.8

How reproducible:
"package require Pgtcl" command in tcl script.

Steps to Reproduce:
1.$ tclsh
2.% package require Pgtcl

Actual results:
can't find package Pgtcl

Expected results:
1.5.2

Additional info:
The line:

package ifneeded Pgtcl 1.5.2 [list load [file join $dir libpgtcl1.5.2.so]]

is missing in file /usr/lib/Pgtcl/pkgIndex.tcl
Comment 1 Mathieu Larchet 2008-01-23 03:48:41 EST
postgresql-tcl package doesn't include pgtclsh any more.
Shared library is deployed in /usr/lib/Pgtcl with no symlink in /usr/lib.
A workaround would be to place a pgtcl file in /etc/ld.conf.d including
/usr/lib/Pgtcl in the library path
Comment 2 Bug Zapper 2008-04-04 02:12:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:13:09 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Willem Herremans 2008-06-18 11:47:20 EDT
This bug still exists in Fedora 9.

Maybe the cause is not the same as described above, but the result is the same:

"package require Pgtcl" returns "can't find package Pgtcl".

I think it has to be reopened for Fedora 9.

Kind regards,

Willem Herremans
Comment 5 Peter van Egdom 2008-06-18 16:39:31 EDT
Reopening bug as per comment #4. Changing version from "6" to "9".
Comment 6 Tom Lane 2008-06-19 22:00:16 EDT
So far as I can tell, this works just fine in F-9:

$ tclsh
% package require Pgtcl
1.6.2
% 

I won't be able to do anything about this report unless you can identify why it's failing for you.
Comment 7 Oskar Stuffer 2008-06-20 02:47:57 EDT
I opened the bug for FC6 and have no access to a machine running Fedora 9 but
probably the problem was solved in this version.
I fixed the bug on my own computer (running FC6) adding the line

package ifneeded Pgtcl 1.5.2 [list load [file join $dir libpgtcl1.5.2.so]]

to the file /usr/lib/Pgtcl/pkgIndex.tcl
Comment 8 Willem Herremans 2008-06-20 03:48:01 EDT
It does not work on my Fedora 9. I will give you more details about the
configuration of my system.

Here is the list of tcl packages on my system:
----------------------------------------------

[wim@fedora ~]$ yum list installed '*tcl*'
Loaded plugins: refresh-packagekit
Installed Packages
itcl.i386                                3.4-2.fc9              installed       
postgresql-pltcl.i386                    8.3.3-1.fc9            installed       
postgresql-tcl.i386                      8.3.3-1.fc9            installed       
tcl.i386                                 1:8.5.1-4.fc9          installed       
[wim@fedora ~]$ 


Location of package Pgtcl:
-------------------------

/usr/lib/Pgtcl
/usr/lib/Pgtcl/libpgtcl1.6.2.so
/usr/lib/Pgtcl/pkgIndex.tcl

Configuration of tcl:
---------------------

[wim@fedora ~]$ tclsh
% package require Pgtcl
can't find package Pgtcl
% puts $tcl_pkgPath     
/usr/lib/tcl8.5 /usr/share/tcl8.5 /usr/lib/tk8.5 
% puts $auto_path
/usr/share/tcl8.5 /usr/lib/tcl8.5 /usr/lib/tk8.5
% 

Conclusion:
----------

Tcl cannot find package Pgtcl because Pgtcl is installed in /usr/lib and
tcl only looks for packages in /usr/lib/tcl8.5, /usr/share/tcl8.5 and
/usr/lib/tk8.5.

I can get it to work by moving the directory Pgtcl directory from /usr/lib/
to /usr/lib/tcl8.5 but that is only an ugly work around that could break
the Fedora package management system. 

I hope this helps you to handle this report.

Kind regards,

Willem Herremans

Comment 9 Tom Lane 2008-06-20 09:54:25 EDT
[ looks again... ]  Silly me, I was testing tcl 8.4 not 8.5.  Yeah, the change in auto_path is breaking it.
I already have a bug filed about that (bug #451750) but it would probably be best to move Pgtcl into
the tcl-specific subdirectory.
Comment 10 Fedora Update System 2008-06-20 14:22:01 EDT
postgresql-8.3.3-2.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-06-22 16:45:30 EDT
postgresql-8.3.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.